File qtermwidget-qt5.changes of Package qtermwidget-qt5

-------------------------------------------------------------------
Wed Oct 25 09:06:18 UTC 2017 - mvetter@suse.com

- Add BuildRequire:
  * utf8proc-devel to have better utf8 support
  * Qt5LinguistTools new dependency
- Use switch to not use git to pull translations

-------------------------------------------------------------------
Mon Oct 23 12:10:58 UTC 2017 - mvetter@suse.com

- Update to 0.8.0:
  * FIX: #46 fix vertical font truncation
  * bump versions
  * Really fallback to /bin/sh when $SHELL is missing or invalid
  * README: don't recommend building from source
  * Improve README
  * Don't export github templates
  * Support REP escape sequence defined in ECMA-48, section 8.3.103
  * Fix build issue related to utmpx in Mac OSX Sierra
  * Remove the deprecation notice
  * Handle DECSCUSR signals
  * Copied issue template
  * Update building instructions
  * Require Qt 5.6+
  * This commit allows the consumer of qtermwidget to capture the (#111)
  * Allow the terminal display to be smaller than the size hint (#123)
  * Backport Vt102 emulation fixes (#113)
  * Backport the default.keytab from Konsole
  * Fixes (#122)
  * Updated README, Added support for PyQT 5.7
  * Fix memory leak in hotspot (URLs & emails) detection
  * Adds superbuild support
  * Use target_compile_definitions() instead of add_definitions()
  * Update find_package() documentation
  * Use the lxqt_create_pkgconfig_file
  * Improve lxqt_translate_ts() use
  * Adds COMPONENT to the install files
  * Renames test app to example. Make it work
  * Drop include_directories() for in tree dirs
  * Use the CMake Targets way
  * Pack Utf8Proc stuff
  * Adds export header
  * Use LXQtCompilerSettings
  * Packs compile definitions
  * Adds package version file
  * Removes Qt4 stuff
  * Add translation mechanism
  * Use const iterators when possible.
  * Enable strict iterators for debug builds
  * TerminalDisplay: Make resizing "Size" translatable
  * Exposes receivedData signal to users of QTermWidget
  * Exposes sessions autoClose property to QTermWidget

-------------------------------------------------------------------
Wed Jan  4 16:37:10 UTC 2017 - dap.darkness@gmail.com

- Updated to 0.7.1:
  * Bump patch version (#105);
  * Added a modified Breeze color scheme (#104);
  * Accept hex color strings as well (#101);
  * Remove the stale lib/README (#102);
  * Implement background images (#95);
  * Implement other BOX DRAWING characters (#98);
  * Preparations for context menu actions on URLs (#97);
  * Drop the ancient wcwidth impl. and use utf8proc if possible;
  * Remove widget size checks in setVTFont() (#86);
  * Delete unused tooltip code (#81);
  * Fix size of the array passed to memset() (#79).

-------------------------------------------------------------------
Sun Sep 25 07:52:27 UTC 2016 - dap.darkness@gmail.com

- Updated to 0.7.0:
  * Remove support for Qt <= 5.4;
  * Remove Designer plugin;
  * Check CHANGELOG for additional information.
- %%cmake macro.

-------------------------------------------------------------------
Tue May 17 23:19:05 UTC 2016 - jengelh@inai.de

- Trim storytelling from description.

-------------------------------------------------------------------
Sun Feb 28 14:45:43 UTC 2016 - dap.darkness@gmail.com

- Updated to 0.6.0:
  * Full Qt 5 support;
  * Drag & Drop support;
  * Lots of bugfixes and cleanups.

-------------------------------------------------------------------
Wed Sep 17 16:00:43 UTC 2014 - dap.darkness@gmail.com

- Initial build.
openSUSE Build Service is sponsored by